Subject: [COSE] [cose-issues] Move “creation time” value to the payload (#13)

From: Mike Jones <[email-masked]>
Date: Sun, 1 Nov 2015 10:45:03 +0000

The “creation time” header parameter in Section 3.1 is one of several attributes that are being proposed as a header parameter, whereas it is actually unrelated to the cryptographic operations being performed and should be part of the application-defined payload, if needed. If the working group believes that having common definitions for some payload fields such as “creation time” would be a good idea, they should be defined in a different, related specification.

Note that this payload content specification would fill the same role for CBOR payloads that the JSON Web Token (JWT) [RFC 7519] specification fills for JSON payloads. Cryptographic parameters belong in the COSE spec. Non-cryptographic application-level parameters, such as this one, belong in this companion specification, if anywhere.
View it on GitHub at https://github.com/cose-wg/cose-issues/issues/13